<?php

namespace App\ViewModels\Formulario\PerguntaDetailsViewModel;

use App\Utils\Builder;

class PerguntaDetailsViewModelBuilder implements Builder {
	protected $id_pergunta;
	protected $obrigatorio;
	protected $id_tipo_pergunta;
	protected $ordem;
	protected $ativo;

	public function build(): PerguntaDetailsViewModel {

		$pergunta_details_vm = new PerguntaDetailsViewModel();

		$pergunta_details_vm->setIdPergunta( $this->id_pergunta );
		$pergunta_details_vm->setObrigatorio( $this->obrigatorio );
		$pergunta_details_vm->setIdTipoPergunta( $this->id_tipo_pergunta );
		$pergunta_details_vm->setOrdem( $this->ordem );
		$pergunta_details_vm->setAtivo( $this->ativo );		

		return $pergunta_details_vm;

	}

	public function setIdPergunta(int $id_pergunta): PerguntaDetailsViewModelBuilder {

		$this->id_pergunta = $id_pergunta;
		return $this;

	}

	public function setObrigatorio(bool $obrigatorio): PerguntaDetailsViewModelBuilder {

		$this->obrigatorio = $obrigatorio;
		return $this;

	}

	public function setIdTipoPergunta(int $id_tipo_pergunta): PerguntaDetailsViewModelBuilder {

		$this->id_tipo_pergunta = $id_tipo_pergunta;
		return $this;

	}

	public function setOrdem(int $ordem): PerguntaDetailsViewModelBuilder {

		$this->ordem = $ordem;
		return $this;

	}

	public function setAtivo(int $ativo): PerguntaDetailsViewModelBuilder {
		
		$this->ativo = $ativo;
		return $this;
		
	}
	
}